>From 7cce41e34002d5ee5f35ba7d969f27de884d4919 Mon Sep 17 00:00:00 2001
From: Erwan Tulou <brezhoneg1@yahoo.fr>
Date: Sat, 7 Mar 2009 19:41:43 +0100
Subject: [PATCH] correct lock problem since playlist_CurrentInput also locks the playlist

---
 modules/control/dbus.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

diff --git a/modules/control/dbus.c b/modules/control/dbus.c
index 8f47d77..59b2a7c 100644
--- a/modules/control/dbus.c
+++ b/modules/control/dbus.c
@@ -1027,7 +1027,10 @@ static int UpdateCaps( intf_thread_t* p_intf, bool b_playlist_locked )
         i_caps |= CAPS_CAN_PLAY | CAPS_CAN_GO_PREV | CAPS_CAN_GO_NEXT;
     if( !b_playlist_locked ) PL_UNLOCK;
 
+
+    if( b_playlist_locked ) PL_UNLOCK;
     input_thread_t* p_input = playlist_CurrentInput( p_playlist );
+    if( b_playlist_locked ) PL_LOCK;
     if( p_input )
     {
         /* XXX: if UpdateCaps() is called too early, these are
-- 
1.5.2.5

